| Home | Libraries | People | FAQ | More

## Struct template local

boost::xpressive::local

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T>
    struct local {
      // types
      typedef proto::terminal< reference_wrapper< T > >::type base_type;

      // construct/copy/destruct
      local();
      explicit local(T const &);

      // public member functions
      T & get();
      T const & get() const;
    };

## Description

### `local` public construct/copy/destruct

1.     local();

2.     explicit local(T const & t);

### `local` public member functions

1.     T & get();

2.     T const & get() const;